XS Computer One - Apple 1 Replica Project
=========================================

Table Of Contents
-----------------

1. [Hardware Parts - Power Supply](#1)
   * [Power Transformers](#1-1)
   * [Rectifiers](#1-2)
   * [Capacitors](#1-3)
   * [Voltage Regulators](#1-4)
   * [Heatsinks](#1-5)
   * [Fuses](#1-6)
   * [Connectors](#1-7)
2. [Hardware Parts - Terminal Section](#2)
   * [Capacitors](#2-1)
   * [Crystal](#2-2)
   * [TTL](#2-3)
   * [ICs](#2-4)
2. [Hardware Parts - Processor Section](#3)
   * [Processor](#3-1)
   * [PIA](#3-2)
   * [Memory](#3-3)
   * [ROM](#3-4)
   * [TTL](#3-5)

<a name="1"></a>
Hardware Parts - Power Supply
-----------------------------

<a name="1-1"></a>
### Power Transformers

| Manufacturer | Part No.   | Details                 | Alternative             | Quantity | Found | Status |
|--------------|------------|-------------------------|-------------------------|----------|-------|--------|
| Stancor      | [P-8380]   | 117 V / 10 V CT - 3.0 A | Triad Magnetics [F-31X] | 1        | Yes   | -      |
| Stancor      | [P-8667]   | 117 V / 28 V CT - 1.0 A | Triad Magnetics [F40X]  | 1        | Yes   | -      |


[P-8380]: https://ch.mouser.com/Search/ProductDetail.aspx?R=P-8380virtualkey53800000virtualkey802-P-8380
[P-8667]: https://ch.mouser.com/Search/ProductDetail.aspx?R=P-8667virtualkey53800000virtualkey802-P-8667
[F-31X]:  https://ch.mouser.com/Search/ProductDetail.aspx?R=F-31Xvirtualkey55310000virtualkey553-F-31X
[F40X]:   https://ch.mouser.com/Search/ProductDetail.aspx?R=F40Xvirtualkey55310000virtualkey553-F40X

<a name="1-2"></a>
### Rectifiers

| Manufacturer            | Part No. | Details                 | Alternative           | Quantity | Found | Status |
|-------------------------|----------|-------------------------|-----------------------|----------|-------|--------|
| ???                     | MR500    | 50 V / 3.0 A            | Vishay [UF5400-E3/54] | 4        | Yes   | -      |
| Fairchild Semiconductor | [1N4001] | 50 V / 1.0 A            | N/A                   | 4        | Yes   | -      |

[UF5400-E3/54]: https://ch.mouser.com/Search/ProductDetail.aspx?R=UF5400-E3%2f54virtualkey61370000virtualkey625-UF5400-E3
[1N4001]:       https://ch.mouser.com/Search/ProductDetail.aspx?R=1N4001virtualkey51210000virtualkey512-1N4001

<a name="1-3"></a>
### Capacitors

| Manufacturer | Part No.         | Details                                       | Alternative                                         | Quantity | Found | Status |
|--------------|------------------|-----------------------------------------------|-----------------------------------------------------|----------|-------|--------|
| Sprague      | 53D113G025JP6    | Radial Aluminum Electrolytic / 15 V - 5300 uF | ???                                                 | 1        | Yes   | -      |
| Sprague      | 53D382G050JL6    | Radial Aluminum Electrolytic / 25 V - 2400 uF | ???                                                 | 2        | Yes   | -      |
| ???          | ???              | Radial Aluminum Electrolytic / 25 V -   22 uF | Vishay [MAL213826229E3] / Nichicon [TVX1E220MAD1LS] | 4        | Yes   | -      |

[MAL213826229E3]: https://ch.mouser.com/Search/ProductDetail.aspx?R=MAL213826229E3virtualkey59420000virtualkey594-2222-138-26229
[TVX1E220MAD1LS]: https://ch.mouser.com/Search/ProductDetail.aspx?R=TVX1E220MAD1LSvirtualkey64700000virtualkey647-TVX1E220MAD1LS

<a name="1-4"></a>
### Voltage Regulators

| Manufacturer           | Part No.         | Details                  | Alternative                        | Quantity | Found | Status |
|------------------------|------------------|--------------------------|------------------------------------|----------|-------|--------|
| STMicroelectronics     | [LM323K]         | +15 V /  +5 V - 3.0 A    | N/A                                | 1        | Yes   | -      |
| National Semiconductor | LM320 MP-5       | -15 V /  -5 V - 1.0 A    | Fairchild Semiconductor [LM7905CT] | 1        | Yes   | -      |
| National Semiconductor | LM320 MP-12      | -25 V / -12 V - 1.0 A    | Fairchild Semiconductor [LM7912CT] | 1        | Yes   | -      |
| National Semiconductor | LM340-12         | +25 V / +12 V - 1.0 A    | Fairchild Semiconductor [LM7812CT] | 1        | Yes   | -      |

[LM323K]:   https://ch.mouser.com/Search/ProductDetail.aspx?R=LM323Kvirtualkey51120000virtualkey511-LM323K
[LM7905CT]: https://ch.mouser.com/Search/ProductDetail.aspx?R=LM7905CTvirtualkey51210000virtualkey512-LM7905CT
[LM7912CT]: https://ch.mouser.com/Search/ProductDetail.aspx?R=LM7912CTvirtualkey51210000virtualkey512-LM7912CT
[LM7812CT]: https://ch.mouser.com/Search/ProductDetail.aspx?R=LM7812CTvirtualkey51210000virtualkey512-LM7812CT

<a name="1-5"></a>
### Heatsinks

| Manufacturer | Part No.   | Details | Alternative   | Quantity | Found | Status |
|--------------|------------|---------|---------------|----------|-------|--------|
| Wakefield    | [680-125A] | 1.5 C/W | N/A           | 1        | Yes   | -      |

[680-125A]: https://ch.mouser.com/Search/ProductDetail.aspx?R=680-125Avirtualkey56720000virtualkey567-680-125A

<a name="1-5"></a>
### Fuses

| Manufacturer | Part No.      | Details                                   | Alternative   | Quantity | Found | Status |
|--------------|---------------|-------------------------------------------|---------------|----------|-------|--------|
| Littelfuse   |               | Axial Glass / 3AG Slo-Blo / 125 V - 0.5 A | ???           | 1        | No    | -      |

<a name="1-6"></a>
### Connectors

| Manufacturer | Part No.     | Details               | Alternative   | Quantity | Found | Status |
|--------------|--------------|-----------------------|---------------|----------|-------|--------|
| Molex        | [09-65-2068] | 6-Pin Power Connector | N/A           | 1        | Yes   | -      |
| Molex        | ???          | 4-Pin Video Connector | ???           | 1        | No    | -      |
| ???          | ???          | 44-Pin Edge Connector | ???           | 1        | No    | -      |
| ???          | ???          | B4 (Keyboard?)        | ???           | 1        | No    | -      |

[09-65-2068]: https://ch.mouser.com/Search/ProductDetail.aspx?R=09-65-2068virtualkey53810000virtualkey538-09-65-2068

<a name="2"></a>
Hardware Parts - Terminal Section
---------------------------------

<a name="2-1"></a>
### Capacitors

| Manufacturer | Part No.         | Details                                       | Alternative                                         | Quantity | Found | Status |
|--------------|------------------|-----------------------------------------------|-----------------------------------------------------|----------|-------|--------|
| ???          | ???              | Radial Aluminum Electrolytic / 25 V -   22 uF | Vishay [MAL213826229E3] / Nichicon [TVX1E220MAD1LS] | 1        | Yes   | -      |

<a name="2-2"></a>
### Crystal

| Manufacturer | Part No.       | Details                | Alternative   | Quantity | Found | Status |
|--------------|----------------|------------------------|---------------|----------|-------|--------|
| ECS          | [ECS-143-S-1X] | HC-49/U / 14.31818 MHz | N/A           | 1        | Yes   | -      |

[ECS-143-S-1X]: https://ch.mouser.com/Search/ProductDetail.aspx?R=ECS-143-S-1Xvirtualkey59070000virtualkey520-HCA1431-SX

<a name="2-3"></a>
### TTL

| Manufacturer      | Part No. | Details                                                                                | Alternative | Quantity | Found | Status |
|-------------------|----------|----------------------------------------------------------------------------------------|-------------|----------|-------|--------|
| Texas Instruments | 7400     | Quadruple 2-Input NAND Gate                                                            | ???         | 3        | Yes   | -      |
| Texas Instruments | 7402     | Quadruple 2-Input NOR Gate                                                             | ???         | 1        | Yes   | -      |
| Texas Instruments | 7404     | Hex Inverter                                                                           | ???         | 2        | Yes   | -      |
| Texas Instruments | 7408     | Quadruple 2-Input AND Gate                                                             | ???         | 1        | Yes   | -      |
| Texas Instruments | 7410     | Triple 3-Input NAND Gate                                                               | ???         | 2        | Yes   | -      |
| Texas Instruments | 7427     | Triple 3-Input NOR Gate                                                                | ???         | 1        | Yes   | -      |
| Texas Instruments | 7432     | Quadruple 2-Input OR Gate                                                              | ???         | 1        | Yes   | -      |
| Texas Instruments | 7450     | Dual 2-Wide 2-Input AND-OR-Invert Gate (One Gate Expandable)                           | ???         | 1        | Yes   | -      |
| Texas Instruments | 74123    | Dual Retriggerable Monostable Multivibrator With Clear                                 | ???         | 1        | Yes   | -      |
| Texas Instruments | 74157    | Quadruple 2-Line to 1-Line Data Selector/Multiplexer (Noninverting)                    | ???         | 2        | Yes   | -      |
| Texas Instruments | 74160    | Synchronous 4-bit Decade Counter With Asynchronous Clear                               | ???         | 1        | Yes   | -      |
| Texas Instruments | 74161    | Synchronous 4-bit Binary Counter With Asynchronous Clear                               | ???         | 5        | Yes   | -      |
| Texas Instruments | 74166    | Parallel-Load 8-bit Shift Register                                                     | ???         | 1        | Yes   | -      |
| Texas Instruments | 74174    | Hex D Flip-Flop With Common Clear                                                      | ???         | 1        | Yes   | -      |
| Texas Instruments | 74175    | Quadruple D Edge-Triggered Flip-Flop With Complementary Outputs And Asynchronous Clear | ???         | 1        | Yes   | -      |

<a name="2-4"></a>
### ICs

| Manufacturer   | Part No.      | Details                                  | Alternative   | Quantity | Found | Status |
|----------------|---------------|------------------------------------------|---------------|----------|-------|--------|
| Signetics      | 2504          | Shift Register                           | ???           | 7        | Yes   | -      |
| Signetics      | 2513 (CM2140) | Character Generator                      | ???           | 1        | Yes   | -      |
| Signetics      | 2519          | Shift Register                           | ???           | 1        | Yes   | -      |
| Signetics      | 8T97          | High Speed Hex 3-State Buffers/Inverters | ???           | 2        | Yes   | -      |
| ???            | 555           | Timer                                    | ???           | 1        | Yes   | -      |
| ???            | DS0025        | Dual Clock Driver                        | ???           | 1        | Yes   | -      |

<a name="3-"></a>
Hardware Parts - Processor Section
----------------------------------

<a name="3-1"></a>
### Processor

| Manufacturer   | Part No. | Details | Alternative   | Quantity | Found | Status |
|----------------|----------|---------|---------------|----------|-------|--------|
| MOS Technology | 6502     |         | ???           | 1        | Yes   | -      |

<a name="3-2"></a>
### PIA

| Manufacturer | Part No. | Details                      | Alternative   | Quantity | Found | Status |
|--------------|----------|------------------------------|---------------|----------|-------|--------|
| Motorola     | MC6820L  | Peripheral Interface Adapter | ???           | 1        | Yes   | -      |

<a name="3-3"></a>
### Memory

| Manufacturer | Part No. | Details | Alternative   | Quantity | Found | Status |
|--------------|----------|---------|---------------|----------|-------|--------|
| ???          | MK4096   | 4K RAM  | ???           | 16       | Yes   | -      |

<a name="3-4"></a>
### ROM

| Manufacturer | Part No. | Details      | Alternative                     | Quantity | Found | Status |
|--------------|----------|--------------|---------------------------------|----------|-------|--------|
| Intel        | 3601     | Bipolar PROM | Signetics 82S129 / Harris H1024 | 2        | Yes   | -      |

<a name="3-5"></a>
### TTL

| Manufacturer      | Part No. | Details                                              | Alternative | Quantity | Found | Status |
|-------------------|----------|------------------------------------------------------|-------------|----------|-------|--------|
| Texas Instruments | 74154    | 4-Line To 16-Line Decoder/Demultiplexer              | ???         | 1        | Yes   | -      |
| Texas Instruments | 74S257   | Quadruple 2-Line Data Selector/Multiplexer (3-State) | ???         | 4        | Yes   | -      |

Repository Infos
----------------

    Owner:			Jean-David Gadina - XS-Labs
    Web:			www.xs-labs.com
    Blog:			www.noxeos.com
    Twitter:		@macmade
    GitHub:			github.com/macmade
    LinkedIn:		ch.linkedin.com/in/macmade/
    StackOverflow:	stackoverflow.com/users/182676/macmade
